Saltar al contenido principal
GET
Get Slots

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parámetros de consulta

position
enum<string>
requerido

The position of the slot.

Opciones disponibles:
landing,
category_search,
category,
search
page_id
string<uuid> | null

The ID of the page. If provided, the slots will be filtered by the page.

Search query to be matched with page url, page name or slot id.

next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

limit
integer
predeterminado:25

Limits the number of records to be returned. The limit can not surpass 50 and its default is 25.

Rango requerido: x <= 50

Cuerpo

application/json

Request body containing the orderBy dimensions and directions.

orderBy
SlotOrderByClause · object[]
requerido

The fields to sort the results by.

Respuesta

Successful Response

hasMore
boolean
requerido

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

slots
AdConfigSlot · object[]
requerido
nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Ejemplo:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="